Bug 177603 - Review Request: libpri
Review Request: libpri
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Package Reviews List
Depends On: 177584
Blocks: FE-ACCEPT 178922
  Show dependency treegraph
Reported: 2006-01-12 00:01 EST by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-14 23:59:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2006-01-12 00:01:35 EST
Spec Name or Url: http://www.ocjtech.us/libpri-1.2.1-1.spec
SRPM Name or Url: http://www.ocjtech.us/libpri-1.2.1-1.src.rpm

libpri is a C implementation of the Primary Rate ISDN specification.
It was based on the Bellcore specification SR-NWT-002343 for National
ISDN.  As of May 12, 2001, it has been tested work with NI-2, Nortel
DMS-100, and Lucent 5E Custom protocols on switches from Nortel and
Comment 1 Gabriel Somlo 2006-01-12 09:35:54 EST
> Source0: http://ftp.digium.com/pub/libpri/libpri-%{version}.tar.gz

Source0: http://ftp.digium.com/pub/libpri/%{name}-%{version}.tar.gz

> BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

> rm -rf $RPM_BUILD_ROOT

use %{buildroot} instead of $RPM_BUILD_ROOT

> %changelog
> * Mon Apr 11 2005 Jeffrey C. Ollie <jcollie@lt16586.campus.dmacc.edu> - 1.0.7-0.3

You're up to version 1.2.1-1, so are you missing some changelog entries ?
Comment 2 Ignacio Vazquez-Abrams 2006-01-12 09:45:33 EST
(In reply to comment #1)
> > rm -rf $RPM_BUILD_ROOT
> use %{buildroot} instead of $RPM_BUILD_ROOT

Both are acceptable. The only requirement is to be consistent throughout the
spec file, which is the case here.
Comment 3 Jeffrey C. Ollie 2006-01-12 10:15:49 EST
Update Spec/SRPM:

Spec Name or Url: http://www.ocjtech.us/libpri-1.2.1-2.spec
SRPM Name or Url: http://www.ocjtech.us/libpri-1.2.1-2.src.rpm

I also fixed a number of issues that I noticed after getting a good night's sleep.
Comment 4 Jeffrey C. Ollie 2006-01-12 13:42:56 EST
Updated Spec/SRPM:

Spec Name or Url: http://www.ocjtech.us/libpri-1.2.1-3.spec
SRPM Name or Url: http://www.ocjtech.us/libpri-1.2.1-3.src.rpm

Fixes building on 64 bit systems.
Comment 5 Paul P Komkoff Jr 2006-01-13 01:17:57 EST
Maybe something like this
%{__perl} -pi -e 's|\$\(INSTALL_BASE\)/lib|%{_libdir}|g' Makefile
will be easier to maintain than additional patch file? Digium folks are knowh by
randomly changing layout of their makefiles...
Comment 6 Paul P Komkoff Jr 2006-01-13 01:21:59 EST
P.S. This is the specfile I'm using in my installations:
Comment 7 Jeffrey C. Ollie 2006-01-13 09:52:11 EST
Updated Spec/SRPM:

Spec Name or Url: http://www.ocjtech.us/libpri-1.2.1-4.spec
SRPM Name or Url: http://www.ocjtech.us/libpri-1.2.1-4.src.rpm

Fixes issues from comment #5 and picks up a few tips from the spec linked in #6.
Comment 8 Paul P Komkoff Jr 2006-01-15 13:13:25 EST
Please fix my last name spelling :) thanks.
Comment 9 Jeffrey C. Ollie 2006-01-18 21:51:08 EST
Updated Spec/SRPM:

Spec Name or Url: http://www.ocjtech.us/libpri-1.2.2-1.spec
SRPM Name or Url: http://www.ocjtech.us/libpri-1.2.2-1.src.rpm

* Wed Jan 18 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.2-1
- Update to 1.2.2.
- Fix the spelling of Paul Komkoff Jr.'s name.
Comment 10 Matthias Saou 2006-03-29 07:25:58 EST
- Remove the trailing dot of the devel summary.
- Change the main summary to something like :
  "Implementation of the Primary Rate ISDN specification" or
  "Primary Rate ISDN library"
- You might want to include the ChangeLog and the TODO in %doc.

All the rest looks good indeed.
Comment 11 Erik S. LaBianca 2006-08-09 17:08:11 EDT
http://www.ocjtech.us/libpri-1.2.2-1.src.rpm seems to be an out of date url, is
there a more up to date one?
Comment 15 David Woodhouse 2006-10-14 05:40:18 EDT
Versioning: libpri-1.4.0-1.fc6.beta1 < libpri-1.4.0-1.fc6
Make it -0.fc6.beta1 like you did zaptel.

W: libpri-devel summary-ended-with-dot Development files for libpri.

Fix those two and it's fine. Approving...
Comment 16 David Woodhouse 2006-10-14 05:45:50 EDT
Oh, and you can drop the BR: zaptel-devel since you're not actually building the
test binaries which actually use it. libpri itself doesn't.
Comment 17 Jeffrey C. Ollie 2006-10-14 23:59:34 EDT
Imported and built for FE development with the recommended changes.  Branch for
FE-5 requested.
Comment 18 Matthias Saou 2006-10-25 06:04:53 EDT
(In reply to comment #15)
> Versioning: libpri-1.4.0-1.fc6.beta1 < libpri-1.4.0-1.fc6
> Make it -0.fc6.beta1 like you did zaptel.

Both are wrong :-(
Comment 19 Will Tatam 2007-10-10 15:57:56 EDT
where have the SRPMS gone ?
Comment 20 Jeffrey C. Ollie 2007-10-10 16:07:27 EDT
libpri is part of Fedora now so you should be able to find the SRPMs on your
local Fedora mirror.  Or you could install the libpri and libpri-devel packages
directly using yum.
Comment 21 Jeffrey C. Ollie 2007-11-03 14:20:25 EDT
Package Change Request
Package Name: libpri
New Branches: EL-5
Updated EPEL Owners: jcollie

Needed to build Asterisk package on EL-5.
Comment 22 Kevin Fenzi 2007-11-03 15:32:06 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.